com.pivotal.gemfirexd.internal.client.am

## Class ExceptionFormatter

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.ExceptionFormatter

    public class ExceptionFormatter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ExceptionFormatter()`

### Method Summary

Methods
`static void` `printTrace(Sqlca sqlca, PrintWriter printWriter, String messageHeader)`
`static void` `printTrace(SqlException e, PrintWriter printWriter, String messageHeader, boolean returnTokensOnly)`
`static void` `printTrace(SQLException e, PrintWriter printWriter, String messageHeader, boolean returnTokensOnly)`
`static void` `printTrace(Throwable e, PrintWriter printWriter, String messageHeader)`
`static void` `printTrace(XAException e, PrintWriter printWriter, String messageHeader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExceptionFormatter

    public ExceptionFormatter()

### Method Detail

#### printTrace

    public static void printTrace(SqlException e,
                  PrintWriter printWriter,
                  String messageHeader,
                  boolean returnTokensOnly)

#### printTrace

    public static void printTrace(SQLException e,
                  PrintWriter printWriter,
                  String messageHeader,
                  boolean returnTokensOnly)

#### printTrace

    public static void printTrace(Sqlca sqlca,
                  PrintWriter printWriter,
                  String messageHeader)

#### printTrace

    public static void printTrace(Throwable e,
                  PrintWriter printWriter,
                  String messageHeader)

#### printTrace

    public static void printTrace(XAException e,
                  PrintWriter printWriter,
                  String messageHeader)